pxipm.h File Reference

Process Manager PXI service. More...

`#include <3ds/exheader.h>`
`#include <3ds/services/fs.h>`

Go to the source code of this file.

## Functions

Result | pxiPmInit (void)
| Initializes PxiPM.
void | pxiPmExit (void)
| Exits PxiPM.
Handle * | pxiPmGetSessionHandle (void)
| Gets the current PxiPM session handle. More...
Result | PXIPM_GetProgramInfo (ExHeader_Info *exheaderInfo, u64 programHandle)
| Retrives the exheader information set(s) (SCI+ACI) about a program. More...
Result | PXIPM_RegisterProgram (u64 *programHandle, const FS_ProgramInfo *programInfo, const FS_ProgramInfo *updateInfo)
| Loads a program and registers it to Process9. More...
Result | PXIPM_UnregisterProgram (u64 programHandle)
| Unloads a program and unregisters it from Process9. More...

## Detailed Description

Process Manager PXI service.

## Function Documentation

## PXIPM_GetProgramInfo()

Result PXIPM_GetProgramInfo | ( | ExHeader_Info * | exheaderInfo,
|  | u64 | programHandle
| ) |  |

Retrives the exheader information set(s) (SCI+ACI) about a program.

Parameters

  exheaderInfos[out] | Pointer to the output exheader information set.
  programHandle | The program handle.

## PXIPM_RegisterProgram()

Result PXIPM_RegisterProgram | ( | u64 * | programHandle,
|  | const FS_ProgramInfo * | programInfo,
|  | const FS_ProgramInfo * | updateInfo
| ) |  |

Loads a program and registers it to Process9.

Parameters

  programHandle[out] | Pointer to the output the program handle to.
  programInfo | Information about the program to load.
  updateInfo | Information about the program update to load.

## PXIPM_UnregisterProgram()

Result PXIPM_UnregisterProgram | ( | u64 | programHandle | ) |

Unloads a program and unregisters it from Process9.

Parameters

  programHandle | The program handle.

## pxiPmGetSessionHandle()

Handle* pxiPmGetSessionHandle | ( | void |  | ) |

Gets the current PxiPM session handle.

Returns
  The current PxiPM session handle.